Bug 11611

Summary: fix possible confusion between UNIMARC and MARC21 in some sysprefs
Product: Koha Reporter: mathieu saby <mathsabypro>
Component: CatalogingAssignee: mathieu saby <mathsabypro>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: trivial    
Priority: P5 - low CC: fridolin.somers, gmcharlt, katrin.fischer, m.de.rooy, magnus, mtompset, nengard
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: [PATCH] Bug 11611: Rephrase description and examples of 5 MARC related sysprefs
Bug 11611: Rephrase description and examples of 5 MARC related sysprefs
Bug 11611: Rephrase description and examples of 5 MARC related sysprefs

Description mathieu saby 2014-01-26 19:01:08 UTC
Some sysprefs specific to MARC21 are only described as "MARC" related. So UNIMARC people can think they are useful fo them, which is not the case.

M. Saby
Comment 1 mathieu saby 2014-01-26 19:27:51 UTC Comment hidden (obsolete)
Comment 2 mathieu saby 2014-01-26 19:31:53 UTC
For "position 00-05" changed to "position 00-07" this patch fixes a little copy/paste mistake. In UNIMARC, date is stored in the 8 first bytes of 100 field in authority records.

M. Saby
Comment 3 Mark Tompsett 2014-02-03 06:09:15 UTC
I am wondering about NORMARC, RUSMARC, or other MARC variants which are more closely related to MARC21, but are not exactly MARC21. Is changing the MARC to MARC21 a good idea?
Comment 4 Marcel de Rooy 2014-02-07 13:07:08 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2014-02-07 13:09:06 UTC
(In reply to M. Tompsett from comment #3)
> I am wondering about NORMARC, RUSMARC, or other MARC variants which are more
> closely related to MARC21, but are not exactly MARC21. Is changing the MARC
> to MARC21 a good idea?

Just text :) In balance, we are improving the situation (esp. the number of leading chars..)
Comment 6 Kyle M Hall 2014-02-07 14:28:48 UTC
Created attachment 25135 [details] [review]
Bug 11611: Rephrase description and examples of 5 MARC related sysprefs

This patch rephrases the description or examples of 5 sysprefs:
1/ MARCAuthorityControlField008: "MARC" -> "MARC21"
2/ itemcallnumber: "Examples" -> "Examples (for MARC21 records)"
3/ DefaultLanguageField008: "Range 35-37" -> "Range 35-37 of MARC21 records"
4/ MARCOrgCode: "new MARC records" -> "new MARC21 records"
5/ UNIMARCAuthorityField100 description: "Do NOT include the date (position 00-05)." -> "position 08-35. Do NOT include the date (position 00-07)."
It also adds description in sql systempreferences table for UNIMARCAuthorityField100, MARCAuthorityControlField008 and MARCOrgCode

Test plan:
Apply and run updatedatabase.pl
Check the changes are taken into account in syspref administration page
Check the changes are taken into account in systempreferences table (for UNIMARCAuthorityField100, MARCAuthorityControlField008 and MARCOrgCode)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 mathieu saby 2014-02-08 10:35:57 UTC
(In reply to M. de Rooy from comment #5)
> (In reply to M. Tompsett from comment #3)
> > I am wondering about NORMARC, RUSMARC, or other MARC variants which are more
> > closely related to MARC21, but are not exactly MARC21. Is changing the MARC
> > to MARC21 a good idea?
> 
> Just text :) In balance, we are improving the situation (esp. the number of
> leading chars..)

I don't know RUSMARC, I don't think it is supported in Koha.
For NORMARC, you may be true, but I don't the exact degree of similarity between MARC21 and NORMARC. Magnus Enger is probably the only one to know that...
If NORMARC people think it is important, they can add precisions regarding their format in an other patch.

Mathieu
Comment 8 Katrin Fischer 2014-02-09 06:08:37 UTC
I think often MARC21 and NORMARC are closer to each other than MARC21 and UNIMARC, so some of the MARC21 prefs might apply. Adding Magnus to the discussion.
Comment 9 Magnus Enger 2014-02-13 14:42:18 UTC
Thanks for thinking about NORMARC! NORMARC and MARC21 are very similar, but I don't have the time to look properly into this now. Feel free to push this patch if you like, I'll do a followup for NORMAC later, if necessary.
Comment 10 Galen Charlton 2014-02-20 19:10:25 UTC
Pushed to master.  Thanks, Mathieu!
Comment 11 Fridolin Somers 2014-05-21 08:21:51 UTC
Pushed to 3.14.x, will be in 3.14.07